Colony - Task #1570

Implement Intersection Behavior
11/08/2010 07:28 PM - Ben Wasserman

Status: Assigned Start date: 11/08/2010
Priority: Normal Due date:

Assignee: Ben Wasserman % Done: 30%
Category: Traffic Navigation Estimated time: 0.00 hour
Target version:

Description
This ticket is to keep track of the entire Intersection Group. Post comments on progress as it happens.

Subtasks are:

Wireless reliability - Ben

Collision Avoidance - Willis, Alex Z

Line Following Implementation - Jeff, Dan J (honorary member of group)
Police Bot - Joseph

Determining turn directions - ?

People to be assigned jobs: Priya, Jeff

History

#1 - 11/08/2010 09:34 PM - Ben Wasserman

Reliability: Ben, Vinay
Collision avoidance: Alex L (not Alex Z)
Determining Turns: Priya

| also made a bit of progress starting to implement pings, but doesn't do anything to actually fix things if a robot disappears. Dan and | also tried
integrating his code into the main function, but it failed. Not sure if it was his code, or my code, or both.

#2 - 11/12/2010 05:13 PM - Alexander Lam

Collision Avoidance: We have a scheme & data structure for doing this, just need to have people check it for stupidity and code it.

#3 - 11/18/2010 09:07 PM - John Sexton
- % Done changed from 0 to 30

Individual components are coming along nicely. Still need to integrate and test.

#4 - 11/19/2010 04:57 PM - Jeff Cooper

Jeff switched away from line following (that's Dan's thing) and into intersection databasing with Priya. Made good progress, see SVN log. To create
an intersection information block currently, just add (or bitwise OR) one of the INTERSECTION_<types> with an entry point, defined in validTurns.h

Separated the turning #define's from the intersection-classifying #define's.
